Retrieve a KYC Sharing Token for Sumsub Partners
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({forClientId: 'CoolCoinLtd', ttlInSecs: 600})
};
fetch('https://api.gnosispay.com/api/v1/kyc/import-partner-applicant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/kyc/import-partner-applicant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"forClientId": "CoolCoinLtd",
"ttlInSecs": 600
}
'import requests
url = "https://api.gnosispay.com/api/v1/kyc/import-partner-applicant"
payload = {
"forClientId": "CoolCoinLtd",
"ttlInSecs": 600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/kyc/import-partner-applicant"
payload := strings.NewReader("{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/kyc/import-partner-applicant")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/kyc/import-partner-applicant")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"forClientId": "<string>"
}{
"message": "<string>"
}{
"error": "Internal server error"
}KYC
Retrieve a KYC Sharing Token for Sumsub Partners
POST
/
api
/
v1
/
kyc
/
import-partner-applicant
Retrieve a KYC Sharing Token for Sumsub Partners
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({forClientId: 'CoolCoinLtd', ttlInSecs: 600})
};
fetch('https://api.gnosispay.com/api/v1/kyc/import-partner-applicant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/kyc/import-partner-applicant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"forClientId": "CoolCoinLtd",
"ttlInSecs": 600
}
'import requests
url = "https://api.gnosispay.com/api/v1/kyc/import-partner-applicant"
payload = {
"forClientId": "CoolCoinLtd",
"ttlInSecs": 600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/kyc/import-partner-applicant"
payload := strings.NewReader("{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/kyc/import-partner-applicant")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/kyc/import-partner-applicant")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"forClientId\": \"CoolCoinLtd\",\n \"ttlInSecs\": 600\n}"
response = http.request(request)
puts response.read_body{
"token": "<string>",
"forClientId": "<string>"
}{
"message": "<string>"
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I